---------------------------------------------------------------------------------------------------------------------------------------
--- BEGIN:  ExploreX Macroscript definitions
---------------------------------------------------------------------------------------------------------------------------------------
macroScript ExploreX_Activate category:"Spacefrog Tools" buttonText:"ExploreX: Activate" toolTip:"ExploreX: Enable Dialog Processing"
(
	on execute do ::ExploreX.Activate()
)

macroScript ExploreX_DeActivate category:"Spacefrog Tools" buttonText:"ExploreX: Deactivate" toolTip:"ExploreX: Disable Dialog Processing"
(
	on execute do ::ExploreX.DeActivate()	
)

macroScript ExploreX_ActiveToggle category:"Spacefrog Tools" buttonText:"ExploreX: Enabled" toolTip:"ExploreX: Toggle Enabled/Disabled Mode"
(
	on execute do ( if ( ::ExploreX.GetIsActive() ) then ::ExploreX.DeActivate()	else ::ExploreX.Activate() )
		
	on isChecked do if( isstruct ::ExploreX ) do  ( ::ExploreX.GetIsActive() )		
		
	on closeDialogs do if( isstruct ::ExploreX ) do 	( if ( ::ExploreX.GetIsActive() ) then ::ExploreX.DeActivate()	else ::ExploreX.Activate() )	
)

macroScript ExploreX_EditINI category:"Spacefrog Tools" buttonText:"ExploreX: Edit INI" toolTip:"ExploreX: Edit dialog configuration"
(
	on execute do 
	( 
		::ExploreX.EditINI()	
	)
)

macroScript ExploreX_ReReadINI category:"Spacefrog Tools" buttonText:"ExploreX: ReRead INI" toolTip:"ExploreX: Read dialog configuration from disk"
(
	on execute do ::ExploreX.ReReadINI()	
)